// asyncall.idl : asyncall 的 IDL 源
//

// 此文件将由 MIDL 工具处理以
// 产生类型库(asyncall.tlb)和封送处理代码。

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(076E7FB0-D43E-4235-939B-058464CEB2D8),
	dual,
	nonextensible,
	helpstring("IAsynCallDemo 接口"),
	pointer_default(unique)
]
interface IAsynCallDemo : IDispatch{
    [id(1), helpstring("方法SetDemoFunc")] HRESULT SetDemoFunc([in] IDispatch* jsFunc);
};
[
	uuid(260F3167-8238-4D75-8153-28FD9EAFF480),
	version(1.0),
	helpstring("asyncall 1.0 类型库")
]
library asyncallLib
{
	importlib("stdole2.tlb");
	[
		uuid(19676E54-F913-4CDF-B177-D050538E1C64),
		helpstring("AsynCallDemo Class")
	]
	coclass AsynCallDemo
	{
		[default] interface IAsynCallDemo;
	};
};
